

#ifndef __ezLicenseCustomUtil_h
#define __ezLicenseCustomUtil_h

#include <ezlmplat.h>

#include <ezlicStatusCodes.h>
#include <ezlicLimits.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
* Create a string representation of a hash map
* for the purpose of embedding into a custom cookie
*	@param hmpKeyVals : Hash map of keyword-value pairs
*	@param strKeyValsString : string representation of keywords and values
*	@return : statuscode
*/
int CALLING_CONVENTION makeString(const void* hmpKeyVals,
								  char[] strKeyValsString);


/*
* Parse a string representation of a keyword-value hash map back into a 
* hash map binary representation.
*	@param keyValsString : string representation of hash map
*	@param hmpHashtable : hash map representation
*	@return : statuscode
*/
int CALLING_CONVENTION parseString(char* keyValsString,
								   void **hmpHashtable);

#ifdef __cplusplus
}
#endif


#endif

